package cn.youle.pet.shop.common;

import lombok.Data;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/12 14:20
 */
@Data
public class JsonResponse <T>{
    private int code;

    private String message;

    private T data;

    public static JsonResponse<Void> ok(){
        return ok(null);
    }

    public static <T> JsonResponse<T> ok(T data){
        JsonResponse<T> jsonResponse = new JsonResponse<>();
        jsonResponse.setCode(200);
        jsonResponse.setData(data);
        return jsonResponse;
    }

    public static JsonResponse<Void> failed(int code,String message){
        JsonResponse<Void> jsonResponse = new JsonResponse<>();
        jsonResponse.setCode(code);
        jsonResponse.setMessage(message);
        return jsonResponse;
    }

    public static JsonResponse<Void> failed(String message){
        JsonResponse<Void> jsonResponse = new JsonResponse<>();
        jsonResponse.setCode(400);
        jsonResponse.setMessage(message);
        return jsonResponse;
    }

    public static <T> JsonResponse<T> failed(int code,T data){
        JsonResponse<T> jsonResponse = new JsonResponse<>();
        jsonResponse.setCode(code);
        jsonResponse.setData(data);
        return jsonResponse;
    }
}
