package cn.youle.pet.shop.controller;


import cn.youle.pet.shop.common.JsonResponse;
import cn.youle.pet.shop.pojo.dto.AdminsSaveDTO;
import cn.youle.pet.shop.pojo.dto.LoginReqDTO;
import cn.youle.pet.shop.service.IPetAdminsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 管理员表 前端控制器
 * </p>
 *
 * @author wangrongli
 * @since 2023-09-11
 */
@RestController
@RequestMapping(value = "/api/pet-admins", produces = "application/json;charset=UTF-8")
public class PetAdminsController {

    @Autowired
    private IPetAdminsService petAdminsService;

    /**
     * 注册用户
     *
     * @return
     */
    @PostMapping("/register")
    public JsonResponse register(@RequestBody AdminsSaveDTO adminsSaveDTO) {
        try {
            return JsonResponse.ok(petAdminsService.register(adminsSaveDTO));
        } catch (Exception e) {
            return JsonResponse.failed("注册用户失败,原因是:" + e.getMessage());
        }
    }

    /**
     * 获取验证码
     */
    @PostMapping("/checkLogin")
    public JsonResponse getVerifyCode(@RequestBody LoginReqDTO loginReqDTO) {
        // 根据登录信息,判断是否生成验证码,并存入缓存
        try {
            return JsonResponse.ok(petAdminsService.checkLogin(loginReqDTO));
        } catch (Exception e) {
            return JsonResponse.failed("生成验证码失败,原因是:" + e.getMessage());
        }
    }

    /**
     * 登录
     *
     * @return
     */
    @PostMapping("/login")
    public JsonResponse login(@RequestBody LoginReqDTO loginReqDTO) {
        try {
            // 从缓存中取出存入的验证码,并校验身份进行登录
            return JsonResponse.ok(petAdminsService.login(loginReqDTO));
        } catch (Exception e) {
            return JsonResponse.failed("登录失败,原因是:" + e.getMessage());
        }
    }
}
