package cn.youle.pet.shop.enums;

import org.springframework.http.MediaType;
import sun.net.www.content.image.gif;
import sun.net.www.content.image.jpeg;
import sun.net.www.content.image.png;
import sun.net.www.content.text.plain;

/**
 * @author huangfeng
 * @version 1.0
 * @date 2021-03-17 15:05
 */
public enum ENUM_HTTP_CONTENT_TYPE {

//    text/html ： HTML格式
//    text/plain ：纯文本格式
//    text/xml ：  XML格式
//    image/gif ：gif图片格式
//    image/jpeg ：jpg图片格式
//    image/png：png图片格式
//    application/xhtml+xml ：XHTML格式
//    application/xml     ： XML数据格式
//    application/atom+xml  ：Atom XML聚合格式
//    application/json    ： JSON数据格式
//    application/pdf       ：pdf格式
//    application/msword  ： Word文档格式
//    application/octet-stream ： 二进制流数据（如常见的文件下载）
//    application/x-www-form-urlencoded ： <form encType=””>中默认的encType，form表单数据被编码为key/value格式发送到服务器（表单默认的提交数据的格式）
//
//    另外一种常见的媒体格式是上传文件之时使用的：
//
//    multipart/form-data ： 需要在表单中进行文件上传时，就需要使用该格式


    PDF(".pdf", MediaType.APPLICATION_PDF),
    JPEG(".jpeg",MediaType.IMAGE_JPEG),
    JPG(".jpg",MediaType.IMAGE_JPEG),
    BMP(".bmp",MediaType.IMAGE_JPEG),
    HTML(".html",MediaType.TEXT_HTML),
    TEXT(".txt",MediaType.TEXT_PLAIN),
    XML(".xml",MediaType.TEXT_XML),
    XHTML(".xhtml",MediaType.APPLICATION_XHTML_XML),
    ATOM(".atom",MediaType.APPLICATION_ATOM_XML),
    JSON(".json",MediaType.APPLICATION_JSON),
    WORD(".doc",MediaType.APPLICATION_OCTET_STREAM),
    WORDX(".docx",MediaType.APPLICATION_OCTET_STREAM),
    EXCEL(".xls",MediaType.APPLICATION_OCTET_STREAM),
    EXCELX(".xlsx",MediaType.APPLICATION_OCTET_STREAM),
    PNG(".png",MediaType.IMAGE_PNG),
    GIF(".gif",MediaType.IMAGE_GIF),
    ;

    private String fileType;

    private MediaType mediaType;

    public String getFileType() {
        return fileType;
    }

    public MediaType getMediaType() {
        return mediaType;
    }

    ENUM_HTTP_CONTENT_TYPE(String fileType, MediaType mediaType) {
        this.fileType = fileType;
        this.mediaType = mediaType;
    }

    ENUM_HTTP_CONTENT_TYPE() { }

    public static ENUM_HTTP_CONTENT_TYPE matchFileType(String fileType){
        if(fileType == null || "".equals(fileType)){
            return null;
        }
        for (ENUM_HTTP_CONTENT_TYPE enumHttpContentType : ENUM_HTTP_CONTENT_TYPE.values()) {
            if(fileType.equalsIgnoreCase(enumHttpContentType.fileType)){
                return enumHttpContentType;
            }
        }
        return null;
    }
}
