package cn.youle.pet.shop.exception.handle;

import cn.youle.pet.shop.common.JsonResponse;
import cn.youle.pet.shop.exception.PetShopException;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * @projectName: pet-shop
 * @description: 全局异常处理类
 * @author: Administrator
 * @createTime: 2023/9/12 9:00
 */
public class GlobalExceptionHandler {

    @ExceptionHandler(PetShopException.class)
    public JsonResponse<Void> handlePetException(PetShopException petShopException){
        return JsonResponse.failed(400,petShopException.getMessage());
    }

    @ExceptionHandler(Exception.class)
    public JsonResponse<Void> handleGlobalException(Exception e){
        return JsonResponse.failed(500,e.getMessage());
    }
}
