package cn.youle.pet.shop.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商品表
 * </p>
 *
 * @author wangrongli
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pet_product")
public class PetProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品编号
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品种类
     */
    private String category;

    /**
     * 商品图片
     */
    private String url;

    /**
     * 商品价格
     */
    private String price;

    /**
     * 上下架状态
     */
    private String shelf;

    /**
     * 商品毛重
     */
    private String weight;

    /**
     * 产地
     */
    private String madeIn;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 尺寸
     */
    private String size;

    /**
     * 颜色
     */
    private String color;

    /**
     * 生产厂商
     */
    private String manufacturer;

    /**
     * 卖家ID
     */
    private String saleId;

    /**
     * 数量
     */
    private String count;

    /**
     * 规格
     */
    private String specifications;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 是否删除
     */
    private Integer isDeleted;


}
