package cn.youle.pet.shop.service;

import cn.youle.pet.shop.pojo.dto.AdminsSaveDTO;
import cn.youle.pet.shop.pojo.dto.LoginReqDTO;
import cn.youle.pet.shop.pojo.entity.PetAdmins;
import cn.youle.pet.shop.pojo.vo.LoginResVO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 管理员表 服务类
 * </p>
 *
 * @author wangrongli
 * @since 2023-09-11
 */
public interface IPetAdminsService extends IService<PetAdmins> {

    /**
     * 注册新用户
     * @return
     */
    Long register(AdminsSaveDTO adminsSaveDTO);

    /**
     * 登录
     *
     * @param loginReqDTO
     * @return
     */
    LoginResVO login(LoginReqDTO loginReqDTO);

    /**
     * 校验用户并生成验证码
     * @param loginReqDTO
     * @return
     */
    String checkLogin(LoginReqDTO loginReqDTO);

}
