package cn.youle.pet.shop.service;

import cn.youle.pet.shop.pojo.dto.product.ProductDetailDTO;
import cn.youle.pet.shop.pojo.dto.product.ProductListDTO;
import cn.youle.pet.shop.pojo.dto.product.ProductSaveDTO;
import cn.youle.pet.shop.pojo.entity.PetProduct;
import cn.youle.pet.shop.pojo.vo.product.ProductDetailVO;
import cn.youle.pet.shop.pojo.vo.product.ProductListVO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 商品表 服务类
 * </p>
 *
 * @author wangrongli
 * @since 2023-09-19
 */
public interface IPetProductService extends IService<PetProduct> {

    /**
     * 添加商品
     *
     * @param productSaveDTO 前端输入
     * @return 商品id
     */
    String create(ProductSaveDTO productSaveDTO, HttpServletRequest request);

    /**
     * 修改商品
     *
     * @param productSaveDTO 前端输入
     * @return 商品id
     */
    String update(ProductSaveDTO productSaveDTO, HttpServletRequest request);

    /**
     * 查询商品详情
     *
     * @param productDetailDTO 前端输入
     * @return 商品详情
     */
    ProductDetailVO detail(ProductDetailDTO productDetailDTO);

    /**
     * 列表查询
     *
     * @param productListDTO 前端输入
     * @return 商品列表
     */
    ProductListVO list(ProductListDTO productListDTO);

    /**
     * 删除对应商品
     *
     * @param productDetailDTO 前端输入
     * @return 是否删除成功
     */
    int delete(ProductDetailDTO productDetailDTO);

    /**
     * 修改商品状态
     *
     * @param productDetailDTO 前端输入
     */
    void updateStatus(ProductDetailDTO productDetailDTO);

}
