package cn.youle.pet.shop.utils;

import cn.youle.pet.shop.exception.PetShopException;
import cn.youle.pet.shop.shiro.auth.TokenVO;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/19 19:15
 */
public class GetUserInfoUtils {

    /**
     * 获取登录用户信息
     *
     * @return
     */
    public static TokenVO getUserInfo() {
        Subject subject = SecurityUtils.getSubject();
        TokenVO tokenVO = (TokenVO) subject.getPrincipal();
        if (tokenVO == null) {
            throw new PetShopException("请先登录");
        }
        return tokenVO;
    }
}
